<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><div class="ch"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
	div('Добыча ресурсов','top');

	function res1($level)
	{
		if($level==2)$status='min';
		if($level==3)$status='gas';
		if($level==4)$status='metall';
		if($level==5)$status='water';
		if($level==6)$status='kred';
		if($level==7)$status='prov';
		return $status;
	}
	$PAGINGS = mysql_query("SELECT * FROM `planet_loc` WHERE `type`>=2 AND `rab`!=0 AND `res`>0 AND `occupy`=0 ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{	
	$s='s'.$row['type'].'';
	$r=''.res1($row['type']).'';
	$science = mysql_result(mysql_query("SELECT ($s) FROM `science` WHERE `planet_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['planet_id'])))))))."';"), 0);
			$plus=$row['rab']*($science*0.3);
			if($row['rab']>$row['res'])$plus=$row['res']*($science*0.3);
			$rab=$row['rab'];
			if($rab>$row['res'])$rab=$row['res'];
			mysql_query("UPDATE `users` SET `$r`=$r+$plus WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."';");
			mysql_query("UPDATE `planet_loc` SET `res`=res-'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rab)))))))."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."';");
		

	}
}
	}
	
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>